The Autodesk.Revit.DB.PointOnEdgeFaceIntersection
class defines a point of intersection between an edge on a solid and a face of the same solid in the Autodesk Revit software.
The Autodesk.Revit.DB.PointOnEdgeFaceIntersection
class has the following properties:
Edge
- The edge that intersects the face.Face
- The face that intersects the edge.IntersectingCurve
- The curve of intersection between the edge and the face.GlobalPoint
- The point in the global coordinates where the edge intersects the face.ParameterOnEdge
- The parameter value along the edge where the intersection occurs.UVPoint
- The point in the UV parameter space of the face where the intersection occurs.The Autodesk.Revit.DB.PointOnEdgeFaceIntersection
class does not have any methods.
This class represents a point of intersection between an edge and a face in a solid geometry. It provides information about the edge, face, and the intersection curve, as well as the location of the intersection point in both global and face parameter space.
The following code sample demonstrates how to retrieve intersection points between a face and an edge in a solid:
Solid solid = GetSolidFromSomewhere();
Face face = GetFaceFromSolid(solid);
Edge edge = GetEdgeFromSolid(solid);
IntersectionResultArray results;
edge.Intersect(face, out results);
foreach (IntersectionResult result in results)
{
PointOnEdgeFaceIntersection point = result.XYZPoint;
Console.WriteLine("Intersection at ({0}, {1}, {2})\n", point.GlobalPoint.X, point.GlobalPoint.Y, point.GlobalPoint.Z);
}
This code retrieves a solid, face, and edge from some unknown source. It calculates the intersections between the edge and face using the Intersect
method and iterates through the results to retrieve the intersection points using the GlobalPoint
property. The intersection points are then printed to the console.
Autodesk.Revit.DB.IntersectionResult
Autodesk.Revit.DB.Edge
Autodesk.Revit.DB.Face
Autodesk.Revit.DB.Solid